;*********************************************************************
; HEADER_START
;
;      Name:           SLFPRG-GR8.ASM
;      Project:        Developper's HC08 Bootloader Slave
;      Description:    GR8 parameter file
;      Platform:       HC08
;      Revision:       1.1
;      Date:           Apr 8 2002
;      Author:         Pavel Lajsner
;      Company:        Motorola SPS
;      Security:       General Business
;
; =================================================================== 
; Copyright (c):      MOTOROLA Inc., 2001, All rights reserved.
;
; =================================================================== 
; THIS SOFTWARE IS PROVIDED BY MOTOROLA "AS IS" AND ANY
; EXPRESSED OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
; IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
; PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL MOTOROLA OR
; ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
; SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT
; NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
; HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
; STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
; ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
; OF THE POSSIBILITY OF SUCH DAMAGE.
; ===================================================================
;
; HEADER_END

RCS_ENA    	EQU     1     	; READ COMMAND SUPPORTED?

  IFNE RCS_ENA
RCS         EQU     $80   	; READ COMMAND SUPPORTED
  ELSE
RCS         EQU     0     	; READ COMMAND unSUPPORTED
  ENDIF

VER_NUM     EQU     1     	; FC protocol version number

IDENTS      MACRO
            DC.B     'GR8-X',0  ; Xtal 32768 reqd., no ROM usage at all
            ENDM

ERBLK_LEN	EQU		64
WRBLK_LEN	EQU		32       
FLS_BEG		EQU		$E000
FLS_END		EQU		$FC00   ; this is APL_VECT address (also from PRM file)
INT_VECT	EQU		$FFDC

FLBPRMASK   EQU     $C000   ; this is CPU specific FLBPR mask 	
							;(i.e. bits that are always in the address)


      include  "hc08sprg.inc"
      