/*
 * Options.java
 *
 * Created on June 27, 2003, 8:46 PM
 */

package org.megaJoltLiteJr.presentation;

import java.util.prefs.*;

/**
 *
 * @author  brent
 */
public class Options {
    
    /** Creates a new instance of Options */
    private Options() {}
    
    public static final String SERIAL_PORT_KEY="commPort";
    public static final String DEFAULT_SERIAL_PORT="COM1";
    
    private static Preferences getPreferences(){
        return Preferences.userNodeForPackage(Options.class);
    }
    
    public static String getSerialPort(){
        return getPreferences().get(SERIAL_PORT_KEY, DEFAULT_SERIAL_PORT);
    }

    public static void setSerialPort(String newSerialPort){
        if (null==newSerialPort) throw new IllegalArgumentException("Serial port not specified");
        getPreferences().put(SERIAL_PORT_KEY,newSerialPort);
    }
    
}
